a difference in degree

We recently had to hyper-spin an update (Firefox 2.0.0.11), because of a regression introduced into the <canvas> code in the previous release. Never something you want to do, but, then, it could have been worse.

My heart goes out to the guys at CCP, who are no doubt having the worst week they can remember.

Edit: I would bet a decent sum that this patcher change was some “tiny super-safe patch” that went in between the last time they did end-to-end testing and the time they released it to servers. This is why we have release candidates, and why they are bit-for-bit the same as what we ship when the time comes. If a developer ever tells you “this is 100% safe, don’t need to retest”, they can’t do math, and should be ignored. If I am the developer in question, doubly so.

Edit 2: A great (candid, clear, detailed) post about this boot.ini issue has appeared on the EVE developer blog. Recommended reading!